
#line 830 "Mx.mx"
#ifdef UNIX
#define		NOARGS		()
#define		ARGS(args)	()
#else
#define		NOARGS		(void)
#define		ARGS(args)	args
#endif

/* System
extern	char *	malloc ARGS((unsigned int));
extern	int	free ARGS((char*));
extern	long	time ARGS((int));
extern	char *	ctime ARGS((long));
extern	char *	strcpy ARGS((char*, char*));
extern	int	strlen ARGS((char*));
extern	int	strcmp ARGS((char*, char*));
extern	char *	strchr ARGS((char*, char));
extern	char *	strrchr ARGS((char*, char));
extern	int	printf ARGS((char*, ...));
extern	int	ofile_printf ARGS((FILE*, char*, ...));
extern	char*	sprintf ARGS((char*, char*, ...));
extern	int	sscanf ARGS((char*, char*, ...));
extern	int	fgetc ARGS((FILE*));
extern	FILE *	fopen ARGS((char*, char*));
extern	FILE *	freopen ARGS((char*, char*, FILE*));
#ifndef UNIX
extern	int	feof ARGS((FILE*));
#endif
extern	int	fclose ARGS((FILE*));
extern	int	exit ARGS((int));
*/

/* Code.c
 */
extern	void	GenCode NOARGS;
extern	void	CodeBlk ARGS((char*));
extern	void	CodeCall ARGS((char*));
extern	void	CodeSub ARGS((char*));
extern	char *	CodeSubBlk ARGS((char*, char**));
extern	void	CodeLine NOARGS;
extern	void	UnRef ARGS((char *));

/* Def.c
 */
extern	void	InitDef NOARGS;
extern	void	MakeDefs ARGS((char *));
extern	int	DefDir NOARGS;
extern	char *	DefCmd NOARGS;
extern	char *	DefBlk NOARGS;
extern	void	DefNl NOARGS;
extern	Def *	NwDef ARGS((char, int, int));
extern	Def *	GetDef ARGS((char*));
extern	void	DbDef ARGS((Def*));
extern  char *  dir2str ARGS((CmdCode));
extern  char *  dir2ext ARGS((CmdCode));

/* Display.c
 */
extern	void	PrFontStr ARGS((char*, char));
extern	void	PrModeStr ARGS((char*, char));
extern	void	PrCmd ARGS((char *));
extern	void	PrText ARGS((char *));
extern	void	PrCode ARGS((char *));
extern	void	PrRule NOARGS;
extern	void	PrPrelude NOARGS;
extern	void	PrPostlude NOARGS;

/* Form.c
 */
extern	void	GenForm NOARGS;
extern	void	FormBlk ARGS((Def*));
extern	void	FormSub ARGS((char*));
extern	void	FormTitle NOARGS;
extern	void	FormHeader NOARGS;
extern	void	FormMod ARGS((char*, int));
extern	void	FormSec ARGS((char*, int, int));	
extern	void	FormPar NOARGS;
extern  void    FormIf ARGS((Def*));
/* Index.c
 */
extern	void	InitIndex NOARGS;
extern	void	IndexTable ARGS((int, char*));
extern	void	IndexEntry ARGS((int, char*, int, int));
extern	void	SortIndex NOARGS;
extern	void	PrCont NOARGS;
extern	void	PrIndex NOARGS;
extern	void	PrItable ARGS((int));

/* Io.c
 */
extern  int	OutputDir( char * );
extern	File *	GetFile ARGS((char*));
extern	int	HasSuffix ARGS((char*, char*));
extern	char *	BaseName ARGS((char*));
extern	void	WriteFile ARGS((char*, int));
extern	void	ReadFile ARGS((char*));
extern	int	EofFile NOARGS;
extern	void	CloseFile NOARGS;
extern	char	NextChr NOARGS;
extern	char *	NextLine NOARGS;
extern	void	PrevChr ARGS((char));

/* Mx.c
 */
#ifndef UNIX
extern	void	Main ARGS((int, char**));
#endif
extern	int	ModeDir ARGS((char));
extern	char *	ExtMode ARGS((int));

/* Print.c
 */
extern	void	PrEnv ARGS((int));
extern	void	PrRef ARGS((char*, int, int));
extern	void	PrNum ARGS((int));
extern	void	PrStr ARGS((char*));
extern  void    PrTxt ARGS((char*));
extern	void	PrChr ARGS((char));
extern	void	MathOn NOARGS;
extern	void	MathOff NOARGS;
extern	void	HideOn NOARGS;
extern	void	HideOff NOARGS;
extern	int	Hide NOARGS;
/* POONLAP BEGIN */
extern  int     DoPrint NOARGS;
/* POONLAP END */
/* Sys.c
 */
extern	char *	Malloc ARGS((int));
extern	void	Free ARGS((char *));
extern	char *	StrDup ARGS((char*));
extern	void	Fatal ARGS((char*, char*, ...));
extern	void	Error ARGS((char*, ...));
extern	void	Message ARGS((char*, ...));
 
/* Tok.c
 */
extern	Tok *	FstTok ARGS((char*));
extern	Tok *	NxtTok ARGS((Tok*));
extern	void	DbTok ARGS((Tok*));
extern	char **	MkArgv ARGS((char*));
extern	char **	RmArgv ARGS((char**));
extern	void	DbArgv ARGS((char**));

